Main Page Widgets Namespaces Book

# Gtk::ActionGroup Class Reference

Inheritance diagram for Gtk::ActionGroup:

[legend]
List of all members.

## Public Member Functions

virtual | ~ActionGroup ()
GtkActionGroup* | gobj ()
| Provides access to the underlying C GObject.
const GtkActionGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_name () const
| Gets the name of the action group.
bool | get_sensitive () const
| Returns `true` if the group is sensitive.
void | set_sensitive (bool sensitive=true)
| Changes the sensitivity of action_group.
bool | get_visible () const
| Returns `true` if the group is visible.
void | set_visible (bool visible=true)
| Changes the visible of action_group .
Glib::RefPtr<Action> | get_action (const Glib::ustring& action_name)
| Looks up an action in the action group by name.
Glib::RefPtr<const Action> | get_action (const Glib::ustring& action_name) const
| Looks up an action in the action group by name.
Glib::ListHandle< Glib::RefPtr< Action > > | get_actions ()
| Lists the actions in the action group.
Glib::ListHandle< Glib::RefPtr< const Action > > | get_actions () const
| Lists the actions in the action group.
void | add (const Glib::RefPtr<Action>& action)
void | add (const Glib::RefPtr<Action>& action, const AccelKey& accel_key)
void | add (const Glib::RefPtr<Action>& action, const Action::SlotActivate& slot)
void | add (const Glib::RefPtr<Action>& action, const AccelKey& accel_key, const Action::SlotActivate& slot)
void | remove (const Glib::RefPtr<Action>& action)
| Removes an action object from the action group.
Glib::SignalProxy2< void, const Glib::RefPtr<Action>&, Widget* > | signal_connect_proxy ()
Glib::SignalProxy2< void, const Glib::RefPtr<Action>&, Widget* > | signal_disconnect_proxy ()
Glib::SignalProxy1< void, const Glib::RefPtr<Action >&> | signal_pre_activate ()
Glib::SignalProxy1< void, const Glib::RefPtr<Action >&> | signal_post_activate ()

## Static Public Member Functions

Glib::RefPtr<ActionGroup> | create (const Glib::ustring& name=Glib::ustring())

## Protected Member Functions

| ActionGroup (const Glib::ustring& name=Glib::ustring())

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::ActionGroup> | wrap (GtkActionGroup* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ActionGroup::~ActionGroup | ( |  | ) | `[virtual]`

Gtk::ActionGroup::ActionGroup | ( | const Glib::ustring& | name = `Glib::ustring()` | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const AccelKey& | accel_key,
|  | const Action::SlotActivate& | slot
| ) |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const Action::SlotActivate& | slot
| ) |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const AccelKey& | accel_key
| ) |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action | ) |

Glib::RefPtr<ActionGroup> Gtk::ActionGroup::create | ( | const Glib::ustring& | name = `Glib::ustring()` | ) | `[static]`

Glib::RefPtr<const Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring& | action_name | ) | const

Looks up an action in the action group by name.

Parameters:

  | action_name | The name of the action.

Returns:
  The action, or `0` if no action by that name exists

Since: 2.4.

Glib::RefPtr<Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring& | action_name | ) |

Looks up an action in the action group by name.

Parameters:

  | action_name | The name of the action.

Returns:
  The action, or `0` if no action by that name exists

Since: 2.4.

Glib::ListHandle<Glib::RefPtr<const Action>> Gtk::ActionGroup::get_actions | ( |  | ) | const

Lists the actions in the action group.

Returns:
  An allocated list of the action objects in the action group

Since: 2.4.

Glib::ListHandle<Glib::RefPtr<Action>> Gtk::ActionGroup::get_actions | ( |  | ) |

Lists the actions in the action group.

Returns:
  An allocated list of the action objects in the action group

Since: 2.4.

Glib::ustring Gtk::ActionGroup::get_name | ( |  | ) | const

Gets the name of the action group.

Returns:
  The name of the action group.

Since: 2.4.

bool Gtk::ActionGroup::get_sensitive | ( |  | ) | const

Returns `true` if the group is sensitive.

The constituent actions can only be logically sensitive (see is_sensitive()) if they are sensitive (see get_sensitive()) and their group is sensitive.

Returns:
  `true` if the group is sensitive.

Since: 2.4.

bool Gtk::ActionGroup::get_visible | ( |  | ) | const

Returns `true` if the group is visible.

The constituent actions can only be logically visible (see is_visible()) if they are visible (see get_visible()) and their group is visible.

Returns:
  `true` if the group is sensitive.

Since: 2.4.

const GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkActionGroup* Gtk::ActionGroup::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::ActionGroup::remove | ( | const Glib::RefPtr<Action>& | action | ) |

Removes an action object from the action group.

Since: 2.4

Parameters:

  | action | An action.

void Gtk::ActionGroup::set_sensitive | ( | bool | sensitive = `true` | ) |

Changes the sensitivity of action_group.

Since: 2.4

Parameters:

  | sensitive | New sensitivity.

void Gtk::ActionGroup::set_visible | ( | bool | visible = `true` | ) |

Changes the visible of action_group .

Since: 2.4

Parameters:

  | visible | New visiblity.

Glib::SignalProxy2<void,const Glib::RefPtr<Action>&,Widget*> Gtk::ActionGroup::signal_connect_proxy | ( |  | ) |

Glib::SignalProxy2<void,const Glib::RefPtr<Action>&,Widget*> Gtk::ActionGroup::signal_disconnect_proxy | ( |  | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<Action>&> Gtk::ActionGroup::signal_post_activate | ( |  | ) |

Glib::SignalProxy1<void,const Glib::RefPtr<Action>&> Gtk::ActionGroup::signal_pre_activate | ( |  | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::ActionGroup> wrap | ( | GtkActionGroup* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- actiongroup.h